Bug 199258 - [NEW PORT] japanese/uim-mozc: Mozc engine for uim
Summary: [NEW PORT] japanese/uim-mozc: Mozc engine for uim
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-04-07 09:33 UTC by Koichiro Iwao
Modified: 2015-07-09 21:19 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
shar archive of uim-mozc port (1.46 KB, text/plain)
2015-04-07 09:33 UTC, Koichiro Iwao
no flags Details
patch for mozc-server port (3.39 KB, patch)
2015-04-07 09:33 UTC, Koichiro Iwao
meta: maintainer-approval? (hrs)
Details | Diff
poudriere log (43.29 KB, text/plain)
2015-04-07 09:34 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2015-04-07 09:33:19 UTC
Created attachment 155296 [details]
shar archive of uim-mozc port

Mozc engine for uim.
Comment 1 Koichiro Iwao freebsd_committer 2015-04-07 09:33:58 UTC
Created attachment 155297 [details]
patch for mozc-server port
Comment 2 Koichiro Iwao freebsd_committer 2015-04-07 09:34:36 UTC
Created attachment 155298 [details]
poudriere log
Comment 3 Koichiro Iwao freebsd_committer 2015-06-16 04:34:01 UTC
how is it going?
Comment 4 Koichiro Iwao freebsd_committer 2015-07-09 06:29:27 UTC
Can anyone else look at this?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-09 06:55:19 UTC
Maintainer feedback timeout (3 months).

Hiroki, can I re-assign this for someone else to take?
Comment 6 Hiroki Sato freebsd_committer 2015-07-09 07:24:19 UTC
Sorry for the long delay.  I promise I will work on this today.
Comment 7 commit-hook freebsd_committer 2015-07-09 21:13:02 UTC
A commit references this bug:

Author: hrs
Date: Thu Jul  9 21:12:07 UTC 2015
New revision: 391682
URL: https://svnweb.freebsd.org/changeset/ports/391682

Log:
  - Add japanese/uim-mozc, uim plugin for mozc input method[*].
  - Fix XML file for ibus engine.
  - Fix stop_server() in mozc startup script.

  PR:			199258 [*]
  Based on work by:	Koichiro IWAO [*]

Changes:
  head/japanese/Makefile
  head/japanese/ibus-mozc/files/pkg-message.in
  head/japanese/mozc-server/Makefile
  head/japanese/mozc-server/distinfo
  head/japanese/mozc-server/files/mozc.in
  head/japanese/mozc-server/files/patch-unix_ibus_gen_mozc_xml.py
  head/japanese/uim-mozc/
  head/japanese/uim-mozc/Makefile
  head/japanese/uim-mozc/files/
  head/japanese/uim-mozc/files/pkg-message.in
Comment 8 Hiroki Sato freebsd_committer 2015-07-09 21:19:54 UTC
Committed as r391682.  USE_GITHUB should be revisited, but it should work for now.

For maintainership, please let me handle all of the Mozc related ports primarily.  They are tightly coupled and maintaining them by different maintainers makes things very difficult.  This should not prevent you (or other contributors) from submitting a patch and/or reporting a issue.